HeaderOpenCompletePartitionPack (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Interface HeaderOpenCompletePartitionPack

- All Superinterfaces:
    Cloneable, HeaderPartitionPack, MetadataObject, MXFUnit, Padded, PartitionPack
  All Known Implementing Classes:
    HeaderOpenCompletePartitionPackImpl

      public interface HeaderOpenCompletePartitionPack
      extends HeaderPartitionPack, MetadataObject, Cloneable

  Represents the description of header partition that is open and complete.

  An open partition is one in which required header metadata values have not been finalized and required values may be absent or incorrect. The header partition may not have the same values as the closed partition(s) and header metadata in open partitions may change in later repetitions.

  A complete partition is one where either header metadata is absent in this partition or where the header metadata exists and all best effort metadata properties have been correctly completed.

  See Also:
    `BodyOpenCompletePartitionPack`, `HeaderOpenIncompletePartitionPack`, `HeaderClosedCompletePartitionPack`, `HeaderClosedIncompletePartitionPack`

- - ### Field Summary

    - ### Fields inherited from interface tv.amwa.maj.io.mxf.PartitionPack

      `BODYSID_DEFAULT, FOOTERPARTITION_DEFAULT, HEADERBYTECOUNT_DEFAULT, INDEXBYTECOUNT_DEFAULT, INDEXSID_DEFAULT, MAJORVERSION_DEFAULT, MINORVERSION_DEFAULT, PREVIOUSPARTITION_DEFAULT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HeaderOpenCompletePartitionPack` | `clone()` Create a cloned copy of this header open complete partition pack.

    - ### Methods inherited from interface tv.amwa.maj.io.mxf.PartitionPack

      `addEssenceContainer, getBodyOffset, getBodySID, getEncodedSize, getEssenceContainers, getFooterPartition, getHeaderByteCount, getIndexByteCount, getIndexSID, getKagSize, getMajorVersion, getMinorVersion, getOperationalPattern, getPreviousPartition, getThisPartition, setBodyOffset, setBodySID, setEssenceContainers, setFooterPartition, setHeaderByteCount, setIndexByteCount, setIndexSID, setKagSize, setMajorVersion, setMinorVersion, setOperationalPattern, setPreviousPartition, setThisPartition`

    - ### Methods inherited from interface tv.amwa.maj.io.mxf.MXFUnit

      `getUnitType`

    - ### Methods inherited from interface tv.amwa.maj.io.mxf.Padded

      `getPaddingFillSize, setPaddingFillSize`

- - ### Method Detail

    - #### clone

          HeaderOpenCompletePartitionPack clone()

      Create a cloned copy of this header open complete partition pack.

      Specified by:
        `clone` in interface `HeaderPartitionPack`
      Specified by:
        `clone` in interface `PartitionPack`
      Returns:
        Cloned copy of this header open complete partition pack.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.